dofile("scripts/entities/entityinclude.lua")

spawnTimer = 0

function init(me)
	spawnTimer = 8 + math.random(4)
end

function update(me, dt)
	spawnTimer = spawnTimer + dt
	if spawnTimer > 12 then
		createEntity("SongSpore", "", node_x(me) + math.random(300)-150, node_y(me))
		spawnTimer = 0 + math.random(600)/200.0
	end
end
